org.gcube.datacatalogue.grsf_manage_widget.client

## Interface GRSFManageWidgetService

All Superinterfaces:
  com.google.gwt.user.client.rpc.RemoteService

All Known Implementing Classes:
  GRSFNotificationService

    @RemoteServiceRelativePath(value="grsfmanageservice")
    public interface GRSFManageWidgetService
    extends com.google.gwt.user.client.rpc.RemoteService

### Method Summary

All Methods Instance Methods Abstract Methods
`ManageProductBean` `getProductBeanById(String identifier)` Get the product bean from the product identifier
`String` `notifyProductUpdate(ManageProductBean bean)` Notify product update

### Method Detail

#### notifyProductUpdate

    String notifyProductUpdate(ManageProductBean bean)

Notify product update

#### getProductBeanById

    ManageProductBean getProductBeanById(String identifier)
                                  throws Exception

Get the product bean from the product identifier

Parameters:
  `identifier` -
Returns:
  ManageProductBean
Throws:
  `Exception`